// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UDataAsset.h"
#include "SCW_UObject.h"

class UDataAsset;

namespace Sourcify
{
	class SCW_UDataAsset : public SCW_UObject, public virtual ISCW_UDataAsset
	{
	public:
		SCW_UDataAsset(UDataAsset* InDataAsset);

		UDataAsset* ToUDataAsset() const;

		ISCW_UDataAssetPtr ToUDataAssetPtr() override;
		ISCW_UDataAssetConstPtr ToUDataAssetPtr() const override;

	protected:
		UDataAsset* DataAsset;
	};
} // namespace Sourcify